# Contributing to exo

Thank you for your interest in giving back to exo! exo is primarily developed and maintained by the team at [Deref](https://deref.io), but we welcome community contributions. There are a number of ways to get involved:

- [Request a Feature](https://github.com/deref/exo/issues/new?labels=feature-request&template=feature_request.md&title=%5BFEATURE%5D)
- [File a Bug Report](https://github.com/deref/exo/issues/new?labels=bug&template=bug_report.md&title=%5BBUG%5D)
- [Contribute Documentation](https://github.com/deref/exo/new/main/doc)
- [Fix a Bug](#fixing-bugs)
- [Contributing a Feature](#contributing-features)
- [Engaging in the Slack community](https://join.slack.com/t/deref-community/shared_invite/zt-tu8arun7-qqpVcTe3IDHjpSG_TrSaBQ)
- [Join the Team](#join-the-team)

We expect that all contributors follow the project's [Code of Conduct](https://github.com/deref/exo/blob/main/CODE_OF_CONDUCT.md), which is designed to encourage a safe, diverse, professional, and inclusive community.

## Fixing Bugs

If you would like to fix any of the open bugs, please leave a comment on the issue indicating that you would like to help. The open bugs that we have identified as being good candidates for community contribution may be found [here](https://github.com/deref/exo/issues?q=is%3Aopen+is%3Aissue+label%3A%22help+wanted%22).

If the fix requires a large code change and/or architectural modifications, please start a thread with your proposed solution. For trivial changes, it is sufficient to indicate that you are working on the issue and opening a PR.

For a smooth development experience, please take a look at the [local development guide](https://github.com/deref/exo/blob/main/doc/local-development.md).

## Contributing Features

If you would like to contribute a new feature, please use the [Feature Request template](https://github.com/deref/exo/issues/new?labels=feature-request&template=feature_request.md&title=%5BFEATURE%5D) to propose the feature you would like to add. In the feature request, please indicate that you would like to implement the feature yourself. We will ensure that we respond in a timely manner.

For a smooth development experience, please take a look at the [local development guide](https://github.com/deref/exo/blob/main/doc/local-development.md).

## Join the Team

Interested in working on exo full-time? Email [jobs@deref.io](mailto:jobs@deref.io) and mention that you're coming from `CONTRIBUTING.md`.
